Subject: Re: [PATCH] staging: r8712u: Fix kernel warning for improper call of del_timer_sync()

From: Larry Finger <[email-masked]>
Date: Tue, 26 May 2015 10:31:52 -0500

On 05/26/2015 12:30 AM, Sudip Mukherjee wrote:
> On Mon, May 25, 2015 at 10:07:59PM -0700, Joe Perches wrote:
>> On Tue, 2015-05-26 at 10:32 +0530, Sudip Mukherjee wrote:
>>> On Mon, May 25, 2015 at 09:55:08PM -0700, Joe Perches wrote:
>>>> On Tue, 2015-05-26 at 10:16 +0530, Sudip Mukherjee wrote:
>>>>> On Mon, May 25, 2015 at 10:37:28AM -0700, Joe Perches wrote:
>
>>> But for eudyptula, patches have to properly submitted to lkml and
>>> maintainers. And today I am here just because of eudyptula. My patches
>>> and contributions here, everything started with it. :)
>>
>> As far as I understand, the Eudyptula Challenge list has
>> internal mechanisms to nominally review patches before some
>> patch is submitted to lkml.
> well, yes, sort of. Submitting patch is task 10, and all the previous
> tasks will train people on creating patch, sending etc.
>>
>> The main point is that patches shouldn't be applied without
>> being submitted to a more widely read list.
> yes, and Eudyptula requires the participant to send patch to maintainer,
> lkml and relevant mailing list where outreachy specifies not to send to
> lkml. Next outreachy will start from September.

At a minimum, outreachy needs to require that patches are sent to the 
maintainer(s). I can understand not wanting to burden LKML, but getting 
defective patches into the kernel must be avoided.

Larry